Xcode
iOS
Unity

Unityで開発したアプリをXcodeでBuild出来ない、なぜならそのXcodeは最新のiOSに対応していない!

More than 1 year has passed since last update.

macOSが新しくないと最新のXcodeにアップデート出来ず、結果として最新のiOSに対応してくれません。

結果、エラーで

Could not locate device support files

とでます。

の、

解決の方法です。

XcodeにサポートしていないバージョンのiOSを追加する【iOS】

Xcode8でiOS11beta端末の動作確認がしたい(iOS11実機ビルドしたい)Could not locate device support files.エラー

を見て、

DeviceSupportのみを更新します。

しかしそれだけではまだだめで、

iOS11の開発環境Xcode9にiOS10やiOS9のSDKを入れる方法

ClipStudioPluginSDKのビルドが出来ない[mac]

こちらを見て、BaseSDKも更新します。

そして、

Xcodeで自分のiPhoneで 起動出来ません。

の通り、

Build SettingのBase SDK



GeneralのiOS Deployment Target

を自分のiPhoneと同じiOSに合わせたら、Build出来るはずです。